{*
* 2007-2022 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2022 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="panel">
    <div class="panel-heading">
        {l s='Prestashop configuration check' mod='datapocket'}
    </div>
    {if $PS_REWRITING_SETTINGS && $PS_SSL_ENABLED && $PS_SSL_ENABLED_EVERYWHERE}
        <p class="alert alert-success">
            {l s='The checklist is  OK. You can connect your shop now.' mod='datapocket'}
        </p>
    {else}
        <p class="alert alert-warning">
            {l s='The checklist is not OK. You can only connect your shop once all indicators are green. Fix everything and reload this page.' mod='datapocket'}
        </p>
    {/if}

    <table class="table" cellpadding="0" cellspacing="0">
        <tbody>
        <tr>
            <td>
                {l s='Enable SSL in' mod='datapocket'}
                <a
                        href="{$adminPreferencesUrl}"
                        target="_blank">Shop parameters &gt; General </a>
            </td>
            <td>
                {if $PS_SSL_ENABLED}
                    <img src="../img/admin/enabled.gif" alt="ok">
                {else}
                    <img src="../img/admin/disabled.gif" alt="nok">
                {/if}
            </td>
        </tr>
        <tr>
            <td>
                {l s='Enable SSL on all pages in' mod='datapocket'}
                <a
                        href="{$adminPreferencesUrl}"
                        target="_blank">Shop parameters &gt; General </a>
            </td>
            <td>
                {if $PS_SSL_ENABLED_EVERYWHERE}
                    <img src="../img/admin/enabled.gif" alt="ok">
                {else}
                    <img src="../img/admin/disabled.gif" alt="nok">
                {/if}
            </td>
        </tr>
        <tr>
            <td>
                {l s='Activate friendly URL in' mod='datapocket'} <a
                        href="{$adminMetaUrl}"
                        target="_blank">Shop parameters &gt; Traffic & SEO &gt; Set up URLs</a>
            </td>
            <td>
                {if $PS_REWRITING_SETTINGS}
                    <img src="../img/admin/enabled.gif" alt="ok">
                {else}
                    <img src="../img/admin/disabled.gif" alt="nok">
                {/if}
            </td>
        </tr>

        </tbody>
    </table>
</div>
